<?php

    // Укажите здесь данные подключения к БД
    define("SQL_HOST", "cshost.su");
    define("SQL_USER", "dvizhmix");
    define("SQL_PASS", "090501Tt");
    define("SQL_DB", "dvizhmix");
	define("SQL_TABLE", "gather_stats");

?>
<html>
<head>
	<meta charset="utf-8" />
    <style type="text/css">
		body {
			background:#232323;
			color:#cfcbc2;
			font-family:sans-serif;
		}

		table {
			font-size:12px;
			width:100%;
		}

		th {
			background:#2f3030;
			color:#93ba10;
			text-align:left;
		}

		tr {
			background:#262626;
		}

		.q {
			border:1px solid #4a4945;
		}

		.b {
			background:#2a2a2a;
		}

		#q {
			border:1px solid #4a4945;
		}

		#b {
			background:#2a2a2a;
		}


		.iN {
			color:#FF0000;
		}
		.iY {
			color:#008000;
		}

		#Lm {
			text-indent: 16px;
			background-image: url(skill/Lm.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px;
		}

		#L {
			text-indent: 16px;
			background-image: url(skill/L.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px;
		}

		#Lp {
			text-indent: 16px;
			background-image: url(skill/Lp.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px;
		}

		#Mm {
			text-indent: 16px;
			background-image: url(skill/Mm.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px;
		}

		#M {
			text-indent: 16px;
			background-image: url(skill/M.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#Mp {
			text-indent: 16px;
			background-image: url(skill/Mp.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#Hm {
			text-indent: 16px;
			background-image: url(skill/Hm.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#H {
			text-indent: 16px;
			background-image: url(skill/H.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#Hp {
			text-indent: 16px;
			background-image: url(skill/Hp.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#Pm {
			text-indent: 16px;
			background-image: url(skill/Pm.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#P {
			text-indent: 16px;
			background-image: url(skill/P.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#Pp {
			text-indent: 16px;
			background-image: url(skill/Pp.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}

		#G {
			text-indent: 16px;
			background-image: url(skill/G.png);
			background-repeat: no-repeat;
			color: #000000;
			padding: 1px;
			font-size: 11px
		}
    </style>
</head>
<body>
<?php

    $sql_conn = mysqli_connect(SQL_HOST, SQL_USER, SQL_PASS);

	if($sql_conn) {
		mysqli_set_charset($sql_conn, "UTF8");
	}

    if($sql_conn && mysqli_select_db($sql_conn, SQL_DB))
    {
		print("<h2>Статистика матча</h2>\n");
		print("<table width=100%% border=0 align=center cellpadding=0 cellspacing=1>\n");
		print("<tr>\n");
		print("<th>Игpoк\n");
		print("<th>Убитo\n");
		print("<th>Cмepтeй\n");
		print("<th>Плантов\n");
		print("<th>Взрывов\n");
		print("<th>Дефузов\n");
		print("<th>Скилл\n");
		print("<th>Результат\n");
		print("</tr>\n");

		$sql_query = mysqli_query($sql_conn, sprintf("SELECT * FROM %s", SQL_TABLE));

		$pos = 1;

		while(($result = mysqli_fetch_array($sql_query)))
		{
			$name = htmlspecialchars($result[ 'name' ]);

			$curr_skill = $result[ 'skill_last' ];
			$skill_diff = $curr_skill - $result[ 'skill_start' ];

			printf("<tr id=%s>\n", (($pos % 2) == 1) ? "b" : "q");
			printf("<td>%s\n", $name );
			printf("<td>%d\n", $result[ 'frags' ]);
			printf("<td>%d\n", $result[ 'deaths' ]);
			printf("<td>%d\n", $result[ 'plants' ]);
			printf("<td>%d\n", $result[ 'explosions' ]);
			printf("<td>%d\n", $result[ 'defusions' ]);
			printf("<td><div id=\"%s\">%.0f</div>\n", get_letter($curr_skill), $curr_skill);
			printf("<td>%s%.2f\n", ($skill_diff > 0.0) ? "+" : "", $skill_diff);
			print("</tr>\n");

			$pos++;
		}

		print("</table>\n");

        mysqli_close($sql_conn);
    }
    else
    {
        if($sql_conn)
        {
            mysqli_close($sql_conn);
        }

        print("<h3>Проблемы с подключением к базе данных</h3>\n");
    }

    function get_letter($curr_skill)
    {
		$values = array(
			array('skill' => 60.0, 'letter' => 'Lm'),
			array('skill' => 75.0, 'letter' => 'L'),
			array('skill' => 85.0, 'letter' => 'Lp'),
			array('skill' => 100.0, 'letter' => 'Mm'),
			array('skill' => 115.0, 'letter' => 'M'),
			array('skill' => 130.0, 'letter' => 'Mp'),
			array('skill' => 140.0, 'letter' => 'Hm'),
			array('skill' => 150.0, 'letter' => 'H'),
			array('skill' => 165.0, 'letter' => 'Hp'),
			array('skill' => 180.0, 'letter' => 'Pm'),
			array('skill' => 195.0, 'letter' => 'P'),
			array('skill' => 210.0, 'letter' => 'Pp'),
			array('skill' => 300.0, 'letter' => 'G'),
		);

		$count = count($values);

		$counter = 0;

		for( ; $counter < $count; $counter++) {
			if($curr_skill <= $values[$counter]['skill'])
			{
				break;
			}
		}

		return sprintf("%s", $values[ min($counter, $count - 1) ]['letter']);
    }

?>
</body>
</html>